<div class="d-flex justify-content-center">
  <div class="col-8">
    <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
      <h2 id="jhi-iteracion-heading" data-cy="IteracionCreateUpdateHeading">Create or edit a Iteracion</h2>

      <div>
        <jhi-alert-error></jhi-alert-error>

        <div class="row mb-3" [hidden]="editForm.get('id')!.value == null">
          <label class="form-label" for="field_id">ID</label>
          <input type="number" class="form-control" name="id" id="field_id" data-cy="id" formControlName="id" [readonly]="true" />
        </div>

        <div class="row mb-3">
          <label class="form-label" for="field_fechaInicio">Fecha Inicio</label>
          <div class="input-group">
            <input
              id="field_fechaInicio"
              data-cy="fechaInicio"
              type="text"
              class="form-control"
              name="fechaInicio"
              ngbDatepicker
              #fechaInicioDp="ngbDatepicker"
              formControlName="fechaInicio"
            />
            <button type="button" class="btn btn-secondary" (click)="fechaInicioDp.toggle()">
              <fa-icon icon="calendar-alt"></fa-icon>
            </button>
          </div>
          <div *ngIf="editForm.get('fechaInicio')!.invalid && (editForm.get('fechaInicio')!.dirty || editForm.get('fechaInicio')!.touched)">
            <small class="form-text text-danger" *ngIf="editForm.get('fechaInicio')?.errors?.required"> This field is required. </small>
          </div>
        </div>

        <div class="row mb-3">
          <label class="form-label" for="field_fechaFin">Fecha Fin</label>
          <div class="input-group">
            <input
              id="field_fechaFin"
              data-cy="fechaFin"
              type="text"
              class="form-control"
              name="fechaFin"
              ngbDatepicker
              #fechaFinDp="ngbDatepicker"
              formControlName="fechaFin"
            />
            <button type="button" class="btn btn-secondary" (click)="fechaFinDp.toggle()"><fa-icon icon="calendar-alt"></fa-icon></button>
          </div>
          <div *ngIf="editForm.get('fechaFin')!.invalid && (editForm.get('fechaFin')!.dirty || editForm.get('fechaFin')!.touched)">
            <small class="form-text text-danger" *ngIf="editForm.get('fechaFin')?.errors?.required"> This field is required. </small>
          </div>
        </div>
      </div>

      <div>
        <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" (click)="previousState()">
          <fa-icon icon="ban"></fa-icon>&nbsp;<span>Cancel</span>
        </button>

        <button
          type="submit"
          id="save-entity"
          data-cy="entityCreateSaveButton"
          [disabled]="editForm.invalid || isSaving"
          class="btn btn-primary"
        >
          <fa-icon icon="save"></fa-icon>&nbsp;<span>Save</span>
        </button>
      </div>
    </form>
  </div>
</div>
